'use strict';

var constants = require('./constants.js');
var utils = require('./utils.js');
var Web3Auth = require('./Web3Auth.js');
var base = require('@web3auth/base');
var constants$1 = require('@toruslabs/constants');



exports.ADAPTER_STATUS = constants.ADAPTER_STATUS;
exports.PASSKEYS_PLUGIN = constants.PASSKEYS_PLUGIN;
exports.SDK_MODE = constants.SDK_MODE;
exports.decodeToken = utils.decodeToken;
exports.Web3Auth = Web3Auth.Web3Auth;
Object.defineProperty(exports, "ADAPTER_EVENTS", {
	enumerable: true,
	get: function () { return base.ADAPTER_EVENTS; }
});
Object.defineProperty(exports, "TORUS_LEGACY_NETWORK", {
	enumerable: true,
	get: function () { return constants$1.TORUS_LEGACY_NETWORK; }
});
Object.defineProperty(exports, "TORUS_SAPPHIRE_NETWORK", {
	enumerable: true,
	get: function () { return constants$1.TORUS_SAPPHIRE_NETWORK; }
});
