'use strict';

var auth = require('@web3auth/auth');

function decodeToken(token) {
  const [header, payload] = token.split(".");
  return {
    header: JSON.parse(auth.safeatob(header)),
    payload: JSON.parse(auth.safeatob(payload))
  };
}

exports.decodeToken = decodeToken;
