'use strict';

var base = require('@web3auth/base');

const ADAPTER_STATUS = {
  NOT_READY: "not_ready",
  READY: "ready",
  CONNECTED: "connected"
};
const SDK_MODE = {
  REACT_NATIVE: "react-native",
  WEB: "web",
  NODE: "node"
};
const PASSKEYS_PLUGIN = "PASSKEYS_PLUGIN";

Object.defineProperty(exports, "ADAPTER_EVENTS", {
  enumerable: true,
  get: function () { return base.ADAPTER_EVENTS; }
});
exports.ADAPTER_STATUS = ADAPTER_STATUS;
exports.PASSKEYS_PLUGIN = PASSKEYS_PLUGIN;
exports.SDK_MODE = SDK_MODE;
